<?php 
	session_start();	
	include ('../config.php');
	include ('../includes/access_super.php');	
	$thisPageTitle = "IP Address Control";
?>

<html>

<head><?php include ('../includes/header.php'); ?></head>

<body>
	
	<?php include ('../includes/loggedinfo.php'); ?>	
	
	<hr><br/>
	
	<?php	    
		
		if ($_REQUEST['submitted'] == 'Enforce')
		{
			if ($_REQUEST['ipaddress'] != '')
			{
				$ipaddress = $_POST["ipaddress"];
				
				$queryid = "select id from eg_auth_ip where ipaddress='$ipaddress'";
				$resultid = mysqli_query($GLOBALS["conn"],$queryid);
				$num_results_affected = mysqli_num_rows($resultid);
				
				if ($num_results_affected == 0)
				{				
					mysqli_query($GLOBALS["conn"],"insert into eg_auth_ip values(DEFAULT,'$ipaddress')");
					echo "<script>window.alert(\"Record has been inputted into the database.\");</script>";
				}						

				else if ($num_results_affected == 1)
					echo "<script>window.alert(\"Duplicate IP detected.\");</script>";
			}
			else
				echo "<script>window.alert(\"IP address cannot be empty.\");</script>";
		}
		
		if ($_REQUEST['submitted'] == 'Update')
		{
			if ($_REQUEST['ipaddress'] != '')
			{
				$ipaddress = $_POST["ipaddress"];
				mysqli_query($GLOBALS["conn"],"update eg_auth_ip set ipaddress='$ipaddress' where id=".$_POST['aid']);			
			}
			else
				echo "<script>window.alert(\"IP address cannot be empty.\");</script>";
		}		

		if ($_GET["del"] <> NULL)// if delele
		{
			$get_id_del = $_GET["del"];
			mysqli_query($GLOBALS["conn"],"delete from eg_auth_ip where id='$get_id_del'");
		}
		
		if (isset($_GET['aid']))
		{
			$queryA = "select * from eg_auth_ip where id=".$_GET['aid'];
			$resultA = mysqli_query($GLOBALS["conn"],$queryA);
			while ($myrowA=mysqli_fetch_array($resultA))
			{
				$ipaddressA=$myrowA["ipaddress"];
			}			
		}
		
	?>
	
	<table class=whiteHeader>
		<tr class=yellowHeaderCenter>
			<td>
				<b>IP Control </b><br/><br/>
				<div style='color:blue;'><b>E.g. :</b><br/>
				<i>192.168.1.1 (for a specific IP) OR<br/>143.123.78 (for all in VLAN 143.123.78.x) OR<br/> 12.128 (for all in VLAN 12.128.x.x)</i></div>
			</td>
		</tr>
		
		<tr class=greyHeaderCenter><td width=370><br/>	
		<form action="ipcontrol.php" method="post" enctype="multipart/form-data">
			<table style='margin-left:auto;margin-right:auto;'>
				<tr>
				<td><b>IP Address: </b></td>
				<td><input type="text" name="ipaddress" size="35" maxlength="70" value="<?php echo $ipaddressA;?>"/></td>
				</tr>

				<tr><td colspan='2' style='text-align:center;'><br/>
					<?php
					if (!isset($_GET['aid']))
						{
							echo "<input type=\"submit\" name=\"submitted\" value=\"Enforce\" />";
							echo "<input type=\"button\" name=\"reset\" value=\"Reset\" onclick=\"window.location='ipcontrol.php';\"/>";
						}
					else
						{
							echo "<input type=\"hidden\" name=\"aid\" value='".$_GET['aid']."' />";	
							echo "<input type=\"submit\" name=\"submitted\" value=\"Update\" />";	
							echo "<input type=\"button\" name=\"reset\" value=\"Cancel\" onclick=\"window.location='ipcontrol.php';\"/>";
						}
					?>
					
				</td></tr>
			</table>
		</form>	
		</td></tr>	
	</table>
		
	<br/><br/>

	<table class=whiteHeader>
		<tr class=yellowHeaderCenter><td colspan=3><b>IP Listing Allow List :</b></td></tr>
		<tr class=whiteHeaderCenter style='text-decoration:underline;'>
			<td></td>
			<td style='text-align:left;'>IP Address</td>
			<td>Options</td>
		</tr>
		<?php
			$queryT = "select * from eg_auth_ip";
			$resultT = mysqli_query($GLOBALS["conn"],$queryT);
			$n = 1;
			while ($myrowT=mysqli_fetch_array($resultT))
				{
					$id=$myrowT["id"];
					$ipaddressT=$myrowT["ipaddress"];

					echo "<tr class=yellowHover>";
					echo "<td width=25>$n</td>";
					echo "<td style='text-align:left;'>$ipaddressT</td>";
					echo "<td width=150>";
						echo "<a title='Edit this eligibility' href='ipcontrol.php?aid=$id'><img src='../images/pencil.gif'></a>";
						echo "<a title='Delete this record' href='ipcontrol.php?del=$id' onclick=\"return confirm('Are you sure ?');\"><img src='../images/delete.gif'></a> ";						
					echo "</td></tr>";
					$n = $n + 1;
				}
		?>
	</table>
	
	<br/>
	
	<div style='text-align:center;'><a class='sButton' href='../admin/chanuser.php'><i class='fas fa-arrow-circle-left'></i> Back to user account page</a></div>
	<br/><hr>
	
	<?php include ('../includes/footer.php');?>
</body>

</html>