<?php 
	session_start();
	include ('config.php'); 
	include ('functions.php');		
	include ('includes/access_isset.php');
	require_once 'includes/mobiledetect.php';
	$detect = new Mobile_Detect;
	$thisPageTitle = "Manage User Deposit";
?>

<html>

<head>	
	<?php
		if ($detect->isMobile())
			echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1\">";
	?>	
	<?php include ('includes/header.php'); ?>
</head>

<body>	
	<?php include ('navbar.php');?>

	<br/><br/>

	<table class=whiteHeaderNoCenter width=100%>
	<tr style='text-align:center;'>
		<td>
		View:<br/><a href='depoadmin.php?v=approved'>Approved</a> | <a href='depoadmin.php?v=rejected'>Rejected</a> | <a href='depoadmin.php?v=entry'>Entry/Re-entry</a>
		<br/><br/>Showing:<br/> 
		<?php
			if ($_GET['v'] == 'approved') echo "<span style='color:blue;'>Approved</span>";
			else if ($_GET['v'] == 'rejected') echo "<span style='color:red;'>Rejected</span>";
			else echo "<span style='color:green;'>Entry/Re-entry</span>";
		?>
		</td>
	</tr>
	</table>

	<?php
		if ($_GET['v'] == 'approved') $sqlappend = "where itemstatus like 'A%'";
		else if ($_GET['v'] == 'rejected') $sqlappend = "where itemstatus like 'R_%'";
		else $sqlappend = "where (itemstatus like 'E%' or itemstatus like 'UPD%')";
	
		$query1 = "select SQL_CALC_FOUND_ROWS * from eg_item_depo $sqlappend order by id";
		$result1 = mysqli_query($GLOBALS["conn"],$query1);
		echo "<table class=whiteHeaderNoCenter>";	
		echo "<tr class=yellowHeaderCenter>";
			echo "<td width=50% colspan=2>Submission</td>";
			echo "<td width=10%>Publisher</td>";
			echo "<td width=10%>Type</td>";
			echo "<td width=10%>Submission<br/>Declaration</td>";
			echo "<td width=10%>Full<br/>Text</td>";
			echo "<td width=10%>Current Status</td>";			
		echo "</tr>";															
		$n = 1;
		while ($myrow1=mysqli_fetch_array($result1))
		{
			$id=$myrow1["id"];
			$authorname=$myrow1["29authorname"];
			$titlestatement=$myrow1["29titlestatement"];
			$dissertation_note_b=$myrow1["29dissertation_note_b"];
			$publication_b=$myrow1["29publication_b"];
			$year=$myrow1["year"];
			$timestamp=$myrow1["timestamp"];
			$itemstatus=$myrow1["itemstatus"];
			$inputby=$myrow1["inputby"];

			$queryName = "select fullname from eg_auth_depo where useridentity='$inputby'";
			$resultName = mysqli_query($GLOBALS["conn"],$queryName);
			$myrowName=mysqli_fetch_array($resultName);
			$inputbyName=$myrowName['fullname'];

			if ($myrow1['29dfile'] == 'YES')
				$dfilelink = "<a target='blank' href='$system_dfile_directory/$year/$id"."_".$timestamp.".pdf'>Click</a>";
			if ($myrow1['29pfile'] == 'YES')
				$pfilelink = "<a target='blank' href='$system_pfile_directory/$year/$id"."_".$timestamp.".pdf'>Click</a>";
			echo "<tr class=yellowHover style='text-align:center;'>";
			echo "<td style='vertical-align:top;'>$n</td>";
			echo "<td style='text-align:left;vertical-align:top;'><font color=blue>$inputbyName ($inputby)</font><br/>$titlestatement<br>[<a href='depodet.php?id=$id'>View Detail and Set Status</a>]</td>";
			echo "<td>$publication_b</td>";
			echo "<td><font color=green>$dissertation_note_b</font></td>";
			echo "<td>$dfilelink</td>";
			echo "<td>$pfilelink</td>";
			echo "<td>";
				if ($itemstatus == "ENTRY") echo "Pending Approval";
				else if ($itemstatus == "ACCEPTED") echo "Accepted";
				else if ($itemstatus == "ARCHIVEDP") echo "Live in Repository";
				else if ($itemstatus == "ARCHIVEDL") echo "Archived for Limited Access";
				else if ($itemstatus == "R_INCOMPLETE") echo "Rejected: Incomplete";
				else if ($itemstatus == "R_DUPLICATE") echo "Rejected: Duplicate Entry";
				else if ($itemstatus == "R_CONTACT") echo "Rejected: Contact Admin";
				else if ($itemstatus == "UPD_METADATA") echo "Resubmission: Metadata Changes";
				else if ($itemstatus == "UPD_SUBMISSION") echo "Resubmission: Digital File";
				else echo "Unknown Status";
			echo "</td>";
			echo "</tr>";
			$n=$n+1;
		}
		echo "</table>";
	?>
	<br/><br/>
			
	<?php include ('../includes/footer.php');?>
</body>

</html>

<?php exit; ?>