<?php 
	session_start();
	include ('config.php');
	include ('functions.php');
	require_once 'includes/mobiledetect.php';
	$detect = new Mobile_Detect;	
	$thisPageTitle = "$subject_heading_as Browser";
?>

<html>

<head>
	<?php
		if ($detect->isMobile())
			echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1\">";
	?>	
	<?php include ('includes/header.php'); ?>
</head>

<body>

	<?php include ('./includes/loggedinfo.php'); ?>	

	<hr>
	
	<div style='text-align:center;'>
		<table class=whiteHeaderNoCenter>
			<tr class=yellowHeaderCenter><td colspan=2><b><?php echo $subject_heading_as;?> Browser</b><br/></td></tr>
			<tr>
				<?php
					
					$queryU = "select 43subjectid, 43acronym, 43subject from eg_subjectheading order by 43subject";						
					$resultU = mysqli_query($GLOBALS["conn"],$queryU);
					$num_results_affectedU = mysqli_num_rows($resultU);

					$n=1;
					while ($row=mysqli_fetch_array($resultU))
						{
							$id = $row['43subjectid'];
							$acronym = $row['43acronym'];
							$subject = $row['43subject'];

							//count subject heading per item
							if ($subject_heading_selectable == "multi")
								$querySubBahan = "select count(id) as totalSubBahan from eg_item where 41subjectheading like '%$acronym".$subject_heading_delimiter."%' or  41subjectheading like '$acronym".$subject_heading_delimiter."%'  or  41subjectheading like '$acronym'";
							else	
								$querySubBahan = "select count(id) as totalSubBahan from eg_item where 41subjectheading like '$acronym' ";
							
							$resultSubBahan = mysqli_query($GLOBALS["conn"],$querySubBahan);
							$myrowSubBahan=mysqli_fetch_array($resultSubBahan);
							$countSubBahan=$myrowSubBahan["totalSubBahan"];							

							if ($n == 1)
								echo "<td style='vertical-align:top;'>";
							
							if ($countSubBahan >= 1)
							{
								echo "<a class=thisonly href=\"subjectbrowser_details.php?subacr=";
								echo $acronym;
								echo '">';									
								echo $subject;
								echo ' ('.$countSubBahan.')</a>';		
							}
							else
							{
								echo "<font color='#E4E4E4'>$subject (0)</font>";
							}	
							echo "<br/><br/>";				
							
							if ($n == ceil($num_results_affectedU/2))
								echo "</td><td style='vertical-align:top;'>";									
							if ($n == $num_results_affectedU)
								echo "</td>";	
							$n=$n+1;				
						}
				?>
			</td></tr>
		</table>		
	</div>
	
	<br/><br/><hr>
	
	<?php include ('./includes/footer.php');?>
	
</body>

</html>