<?php 
	session_start();	
	include ('../config.php');	
	include ('../functions.php');	
	include ('../includes/access_super.php');
	$thisPageTitle = "Change User Account Type";
?>

<html>

<head><?php include ('../includes/header.php'); ?></head>

<body>

	<script>
		window.onclick = function(event) {
			if (event.target.matches('.dropbtn2')) {
				var dropdowns = document.getElementsByClassName('dropbtn2');
				for (var i = 0; i < dropdowns.length; i++) {
					var openDropdown = dropdowns[i];
					if (openDropdown.classList.contains('show') && !event.target.classList.contains('show')) {
						openDropdown.classList.remove('show');
						}
				}
				event.target.classList.toggle("show");
			}
		}
	</script>

	<?php include ('../includes/loggedinfo.php'); ?>
	
	<hr>
	
	<?php 		
		
			if ($_GET["del"] <> NULL)// if delete
			{
				$get_id_del = $_GET["del"];
				mysqli_query($GLOBALS["conn"],"update eg_auth set usertype='FALSE' where id='$get_id_del'");
			}
				
			if ($_GET["res"] <> NULL)// if reset password
			{
				$get_id_res = $_GET["res"];
				mysqli_query($GLOBALS["conn"],"update eg_auth set syspassword=AES_ENCRYPT('$default_password_if_forgotten','$password_aes_key') where id='$get_id_res'");
			}
			
			if ($_GET["offuser"] <> NULL)// if set user offline
			{
				$get_id_offuser = $_GET["offuser"];
				mysqli_query($GLOBALS["conn"],"update eg_auth set online='OFF' where id='$get_id_offuser'");
			}
			
	?>

	<?php													
		
		$query1 = "select id, username, usertype, name, division, online, lastlogin from eg_auth order by usertype desc";																							
		$result1 = mysqli_query($GLOBALS["conn"],$query1);
		$num_results_affected1 = mysqli_num_rows($result1);												
		
		echo "<table class=yellowHeader>";
		echo "<tr><td><b>Total user in the system</b> : ";
		echo "$num_results_affected1 <i>record(s) found.</i>";
		echo "<div style='color:blue;'>To search use CTRL+F (Windows) or CMD+F (macOS).</div><br/>";
		echo "<a class='sButton' href='../admin/chanelibility.php'><i class=\"far fa-sticky-note\"></i> Users Eligibility</a> ";
		echo "<a class='sButton' href='../admin/adduser.php'><i class=\"fa fa-user-plus\"></i> Add User</a> ";
		echo "</td></tr></table>";	
														
		echo "<table class=whiteHeader>";										
			echo "<tr style='text-decoration:underline;'>";
				echo "<td>#</td>";
				echo "<td width=40% style='text-align:left;'>Full Name</td>";
				echo "<td class=specialTD><span style='text-decoration:underline;'>IC/ID</span> <span style='text-decoration:underline;'>(dbID)</span></td>";
				echo "<td>Account Type</td>";
				echo "<td>Option</td>";
				echo "<td>Status</td>";
			echo "</tr>";
												
			$n = $offset + 1;
			
			while ($myrow1=mysqli_fetch_array($result1))
			{
				echo "<tr class=yellowHover>";

					$username2=$myrow1["username"];
					$usertype2=$myrow1["usertype"];
					$name2=$myrow1["name"];
					$division2=$myrow1["division"];
					$online2=$myrow1["online"];
					$id2=$myrow1["id"];
					$lastlogin2=$myrow1["lastlogin"];
					
					echo "<td>$n</td>";
					echo "<td class=specialTD><span>$name2</span></td>";	
					echo "<td class=specialTD><span>$username2</span> <span>@$id2</span></td>";			
					echo "<td>$usertype2</td>";						
					echo "<td>";
						echo "<div class='dropdown'><button class='dropbtn2'>Options</button><div id='myDropdown".$n."' class='dropdown-content'>";

						echo "<a href='updateuser.php?edt=$id2' title='Edit User'><img src='../images/cu_edituser.png' width=16>Edit User</a>";
						if ($username2 != 'admin')
						{
							echo " <a href='chanuser.php?del=$id2' onclick=\"return confirm('Are you sure to set this user to inactive ? This application will be permanant.');\" title='Deactivate User'><img src='../images/cu_deactivate.png' width=16> Deactivate User</a>";
							echo " <a href='chanuser.php?res=$id2' onclick=\"return confirm('Are you sure to reset the user $username2\'s password to $default_password_if_forgotten ?');\" title='Reset Password'><img src='../images/cu_resetpass.png' width=16>Reset Password</a>";
						}
						echo " <a href='userhistory.php?pid=$id2' title='User History'><img src='../images/cu_history.png' width=16us>User History</a>";
					
						echo "</div></div>";
					echo "</td>";
					
					echo "<td>";
					if ($online2 == 'ON')
						{				
							echo "<a class='sButtonRedSmall' href='chanuser.php?offuser=$id2' onclick=\"return confirm('Are you sure to set offline to user $username2 ?');\"><i class=\"fas fa-sign-out-alt\"></i> Set Offline</a>";
							echo "<div style='font-size:6pt;'><b>Logged:</b> ".timetaken($lastlogin2)."</div>";
						}
					else 
						echo "Offline";			
					echo "</td>";	

				echo "</tr>";
				$n = $n +1 ;
			}		
		echo "</table>";
	?>
		
	<br/><hr>
	
	<?php include ('../includes/footer.php');?>


</body>

</html>