<?php
	function getTitle($accessnum)
	{	
		$queryC = "select 38title from eg_item where 38accessnum='$accessnum'";
		$resultC = mysqli_query($GLOBALS["conn"],$queryC);							
		$myrowC=mysqli_fetch_array($resultC);
	
		return $myrowC["38title"];
	}

	function getUserInfo($username,$system_helpdesk_contact)
	{
		$queryB = "select name,username,division,lastlogin from eg_auth where username='$username'";
		$resultB = mysqli_query($GLOBALS["conn"],$queryB);							
		$myrowB=mysqli_fetch_array($resultB);
	
		$text = "Logged as : <span style='color:green;'>".$myrowB["name"]."</span>";
		$text .= "<br/>Identification ID : ".$myrowB["username"];
		$text .= "<br/>From : ".$myrowB["division"];
		$text .= "<br/>Last login: ".$myrowB["lastlogin"];
		$text .= "<br/><br/><i>To change any of these information, kindly contact: $system_helpdesk_contact</i>";
		return $text;
	}
	function getUserType($patron_id)
	{
		$queryT = "select usertype from eg_auth where username='$patron_id'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT=mysqli_fetch_array($resultT);
		return $myrowT["usertype"];
	}
		
	function isPatronEligibility($patron_id)
	{
		$queryT = "select count(39patron) as jumlahMasihDiPinjam from eg_item_charge where 39patron='$patron_id' and 40dc!='DC'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT=mysqli_fetch_array($resultT);
		
		$queryS = "select max_loanitem from eg_auth_eligibility where usertype='".getUserType($patron_id)."'";
		$resultS = mysqli_query($GLOBALS["conn"],$queryS);
		$myrowS=mysqli_fetch_array($resultS);
		
		if ($myrowT["jumlahMasihDiPinjam"] < $myrowS["max_loanitem"])
			return "TRUE";
		else
			return "FALSE";			
	}

	function namePatron($pid)
	{
		$queryT = "select name from eg_auth where id='$pid'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT=mysqli_fetch_array($resultT);
		return $myrowT["name"];
	}

	function patronIdToUsername($pid)
	{
		$queryT = "select username from eg_auth where id='$pid'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT=mysqli_fetch_array($resultT);
		return $myrowT["username"];
	}

	function accessnumToID($accessnum)
	{
		$queryT = "select id from eg_item where 38accessnum='$accessnum'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT=mysqli_fetch_array($resultT);
		return $myrowT["id"];
	}
		
	//below function will use microtime as accession number
	function millitime() {
		$microtime = microtime();
		$comps = explode(' ', $microtime);
		return sprintf('%d%03d', $comps[1], $comps[0] * 1000);
	}

	function getBaseUrl() 
	{
		// output: /myproject/index.php
		$currentPath = $_SERVER['PHP_SELF']; 

		// output: Array ( [dirname] => /myproject [basename] => index.php [extension] => php [filename] => index ) 
		$pathInfo = pathinfo($currentPath); 

		// output: localhost
		$hostName = $_SERVER['HTTP_HOST']; 

		// output: http://
		$protocol = strtolower(substr($_SERVER["SERVER_PROTOCOL"],0,5))=='https://'?'https://':'http://';

		// return: http://localhost/myproject/
		return $protocol.$hostName.$pathInfo['dirname']."/";
	}

	function just_clean($string)
	{
		$specialCharacters = array(
		'#' => '',
		'$' => '',
		'%' => '',
		'&' => '',
		'@' => '',
		'.' => '',
		'�' => '',
		'+' => '',
		'=' => '',
		'�' => '',
		'\\' => '',
		'/' => '',
		//'-' => '',
		);

		while (list($character, $replacement) = each($specialCharacters)) {
		$string = str_replace($character, '' . $replacement . '', $string);
		}

		// Remove all remaining other unknown characters
		$string = preg_replace('/[^a-zA-Z0-9\-]/', '', $string);
		$string = preg_replace('/^[\-]+/', '', $string);
		$string = preg_replace('/[\-]+$/', '', $string);
		$string = preg_replace('/[\-]{2,}/', '', $string);
		//$string = preg_replace("/\"/",'',$string);

		return $string;
	}

	function highlight($text, $words) {    
		$words = trim($words);
		$wordsArray = explode(' ', $words);
		foreach($wordsArray as $word) {			
			if(strlen(trim($word)) > 2)
			{	
				$word = just_clean($word);//remove unwanted special characters, replace it with nothing
				if ($word != '')
					{
						$hlstart = '<span style="background-color:yellow;">';
						$hlend = '</span>';
						$text = preg_replace("/$word/i", $hlstart.'\\0'.$hlend, $text);//php7
					}
			}
		}
		return $text;
	} 

	function getmicrotime()
	{
		list($usec, $sec) = explode(" ",microtime());
		return ((float)$usec + (float)$sec);
	} 

	function timetaken($timelog)
	{
		$now_array=explode(' ',date("D d/m/Y h:i a"));
		$lasttime_array=explode(' ',$timelog);				
		
		$now_ampm=explode(':',$now_array[2]);
		if (($now_array[3] == 'pm'))
			{							
				if ($now_ampm[0] <> 12)
					$now_ampm[0]=$now_ampm[0]+12;							
			}

		$now_array[2]=$now_ampm[0].":".$now_ampm[1];
	
		$lasttime_ampm=explode(':',$lasttime_array[2]);
		if (($lasttime_array[3] == 'pm'))
			{							
				if ($lasttime_ampm[0] <> 12)
					$lasttime_ampm[0]=$lasttime_ampm[0]+12;							
			}

		$lasttime_array[2]=$lasttime_ampm[0].":".$lasttime_ampm[1];
													
		$now_days=explode('/',$now_array[1]);
		$now_days=implode('-',$now_days);					
		$lasttime_days=explode('/',$lasttime_array[1]);
		$lasttime_days=implode('-',$lasttime_days);
		
		$now = strtotime(date($now_days." ".$now_array[2]));
		$lasttime = strtotime($lasttime_days." ".$lasttime_array[2]);
		
		$dateDiff = $now-$lasttime;
		$fullDays = floor($dateDiff/(60*60*24));
		$fullHours = floor(($dateDiff-($fullDays*60*60*24))/(60*60));
		$fullMinutes = floor(($dateDiff-($fullDays*60*60*24)-($fullHours*60*60))/60);

		return "$fullDays"."d, $fullHours"."h, $fullMinutes"."m";
	}

	function sendEmail($pathway,$mel_subject,$mel_body,$mel_address,$mel_success,$mel_failed)
	{
		include ("$pathway"."/config.php");
		require "$pathway"."/phpmailer/class.phpmailer.php";
		$mail = new PHPMailer(); 
		$mail->IsSMTP();
		$mail->SMTPDebug=1;//debugging: 1 = errors and messages, 2 = messages only
		$mail->SMTPAuth=true;
		$mail->SMTPSecure="$emailMode";
		$mail->Host="$emailHost";
		$mail->Port=$emailPort;
		$mail->IsHTML(true);
		$mail->Username="$emailUserName";
		$mail->Password="$emailPassword";
		$mail->SetFrom("$emailSetFrom", "$emailSetFromName");
		$mail->Subject="$mel_subject";
		$mail->Body="$mel_body";
		$mail->AddAddress("$mel_address");
		if(!$mail->Send())
			echo "$mel_failed";
		else					
			echo "$mel_success";
	}

?>