<?php 
	session_start(); 	
	$_SESSION['ref'] = 'searcher.php';	
	include ('config.php');
	include ('functions.php');	
	require_once 'includes/mobiledetect.php';
	$detect = new Mobile_Detect;
	$thisPageTitle = "Guest Mode";
	include ('includes/access_ip.php');
?>

<?php
	if ($_GET['sc'] == 'cl')
	{
		//clear if scc <> c
		unset($_SESSION['sear_scstr']);
		unset($_SESSION['sear_sctype']);
		unset($_SESSION['sear_scflag']);
		unset($_SESSION['sear_page']);
	}
	//handling back from other pages
	if ((isset($_GET['scstr']) and $_GET['scstr']!=$_SESSION['sear_scstr']) or (isset($_GET['sctype']) and $_GET['sctype']!=$_SESSION['sear_sctype'])) unset($_SESSION['sear_page']);
	if (isset($_GET['scstr'])) $_SESSION['sear_scstr'] = $_GET['scstr'];
	if (isset($_GET['sctype'])) $_SESSION['sear_sctype'] = $_GET['sctype'];
	if (isset($_GET['scflag'])) $_SESSION['sear_scflag'] = $_GET['scflag'];
	if (isset($_GET['page'])) $_SESSION['sear_page'] = $_GET['page'];
	
	if ($debug_search == 'yes') echo $_SESSION['sear_scstr']." ".$_SESSION['sear_sctype']." ".$_SESSION['sear_scflag']." ".$_SESSION['sear_page'];
?>

<html>

<head>
	<?php
		if ($detect->isMobile())
			echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1\">";

		if ($_GET['from'] == 'app') $_SESSION['fromapp'] = true;
	?>	
	<?php include ('includes/header.php'); ?>
</head>

<body>
	<script type="text/javascript" src="./jsc/wz_tooltip.js"></script>	

	<?php include ('navbar_guest.php'); ?>

	<br/>

	<?php 					
		$datePattern = date("D d/m/Y h:i a");
	?>				

	<?php 
		if ($detect->isMobile())
			echo "";
		else
			{
				if (!isset($_GET['scflag']))
					include ('./includes/popularkeywords.php'); 
			}
	?>	

	<table class=whiteHeader><tr><td>			
		<form  action="searcher.php" method="get" enctype="multipart/form-data" style="margin:auto;max-width:100%">							
			<input type="text" placeholder="Enter search terms" name="scstr" style='width:50%;font-size:14px' maxlength="255" value="<?php if ($_SESSION["sear_scstr"] <> '') echo stripslashes(preg_replace("/\"/",'&#34;',$_SESSION["sear_scstr"]));?>"/>
			<select style="width:20%;font-size:14px" id="sctype" name="sctype">
				<?php 
					if (isset($_SESSION['sear_sctype']))
						$sctype2 = $_SESSION['sear_sctype'];
						
					echo '<option value="EveryThing" ';
					if ($sctype2 == 'EveryThing')
						echo 'selected';
					echo ' >Everything</option> ';
					
					$queryU = "select 38typeid, 38type from eg_item_type";
					$resultU = mysqli_query($GLOBALS["conn"],$queryU);
			
					while ($row=mysqli_fetch_array($resultU))
						{
							echo '<option value="'.$row['38typeid'].'"';
							if($row['38typeid']==$sctype2)
								{
									echo ' selected';
								}
							echo '>'. $row['38type'] . '</option>'."\n";
						}			
			
					if (isset($_SESSION['username']))
						{
							echo '<option value="Control Number" ';
							if ($sctype2 == 'Control Number')
								echo 'selected';
							echo ' >Control Number</option>';			
					
							echo '<option value="Author" ';
							if ($sctype2 == 'Author')
								echo 'selected';
							echo ' >Author</option> ';
						}
				?>
			</select>	
			<button type="submit" style="color:black;"><i class="fa fa-search"></i> Search</button>
			<input type="hidden" name="scflag" value="Search" />
		</form>
	</td></tr></table>					

	<br/>

	<?php 
		if ($show_subject_browser_guest == true) include ('./includes/browser_bar.php');
	?>
		
	<div style='text-align:center;'>
		<?php												
			//--------------------------------------start paging 1
				$currentPage = $_SESSION['sear_page'];
				include ('./includes/paging-p1.php'); 											
				
				if ($_SESSION["sear_scstr"] == 'Search' || $_SESSION['sear_sctype'] <> NULL)
				{							
					$sctype2 = $_SESSION['sear_sctype'];
					$scstr2 = $_SESSION["sear_scstr"];						
					
					include ('./includes/index2_insertintostat.php');//insert search term into log table
																										
					$latest1 = "FALSE";
				
					include ('./includes/index2_s_allseing.php');
										
				}
				
				else //first time run only
				{															
					$latest1 = "TRUE";
					$query1 = "select SQL_CALC_FOUND_ROWS * from eg_item where 50item_status='1' and 38status='AVAILABLE' order by id desc LIMIT $offset, $rowsPerPage";
				}		
				
				$time_start = getmicrotime();												
				$result1 = mysqli_query($GLOBALS["conn"],$query1);
				
				//--------------------------------------start paging 2
				include ('./includes/paging-p2.php');			
	
				$time_end = getmicrotime();
				$time = round($time_end - $time_start, 5);
				
				if ($latest1 == "FALSE")
				{
					echo "<table class=whiteHeaderNoCenter><tr><td>";
					echo "<b>Total records found :</b> $num_results_affectedR ";
					echo "<b>in</b> $time seconds <b>for</b> <i>".stripslashes(preg_replace("/\"/",'&#34;',$scstr2))."</i>";
					echo "</td></tr></table>";
	
					include ('./includes/index2_sgmtdsrch.php');//segmented search code
				}
				
				else
				{
					echo "<table class=whiteHeaderNoCenter><tr><td>";
					echo "<b>Latest addition to the database : </b>";
					echo "</td></tr></table>";
				}	
							
				echo "<table class=whiteHeaderNoCenter>";
				
				$n = $offset + 1;											
				
				while ($myrow1=mysqli_fetch_array($result1))
				{
					echo "<tr class=yellowHover>";
				
					$id2=$myrow1["id"];
					$titlestatement2=$myrow1["38title"];
					$typestatement2=$myrow1["38typeid"];
					$authorname2=$myrow1["38author"];
					$sumber2=$myrow1["38source"];
					$inputdate2=$myrow1["39inputdate"];
					$hits2=$myrow1["41hits"];
					$link2=$myrow1["38link"];													
					$fulltext2=$myrow1["41fulltexta"];
					$isabstract2=$myrow1["41isabstract"];
					$pdfattach2=$myrow1["41pdfattach"];
					$localcallnum2 =$myrow1["38localcallnum"];
					$publication2 =$myrow1["38publication"];
					$instimestamp2 =$myrow1["41instimestamp"];			

					$dir_year2 = substr("$inputdate2",0,4);
					
					echo "<td style='text-align:center;vertical-align:top;'";
					if ($detect->isMobile())
						echo " >";
					else
						echo " width=40>";
					if ($searcher_back_to_top_icon == true)
						echo "<a href=javascript:window.scrollTo(0,0)><img src='./images/topofpage.gif' onmouseover=\"Tip('Go to top of this page')\" onmouseout=\"UnTip()\"></a><br/>";
					echo "<b>$n</b></td>";
					
					if ($detect->isMobile())
						echo "";
					else
					{
						echo "<td style='text-align:center;vertical-align:top;color:#0066CC;font-size:10px;' width=28>";
							$queryTy = "select 38type from eg_item_type where 38typeid = '$typestatement2'";
							$resultTy = mysqli_query($GLOBALS["conn"],$queryTy);
							$myrowTy=mysqli_fetch_array($resultTy);
							$typestatementTy=$myrowTy["38type"];
							echo "<b>$typestatementTy</b><br/><img width=24 src='./images/docSmall.gif'>";
						echo "</td>";
					}
					
					echo "<td>";				
						if ($scstr2 <> null)
							{														
								echo " <a title='Click here to view detail' class='myclassOri' href='detailsg.php?det=$id2&highlight=$scstr2'>".highlight($titlestatement2,$scstr2)."</a>";//results will be highlighted
							}
						else
							{
								echo " <a title='Click here to view detail' class='myclassOri' href='detailsg.php?det=$id2'>$titlestatement2</a>";
							}
						
						if ($authorname2 != '')
						{
							echo "<br/><a title='Click here to search more titles from this author' class=myclass2 href='searcher.php?scstr=\"$authorname2\"&sctype=EveryThing&scflag=Search'>$authorname2</a>";
						}
						else
						{
							if ($publication2 != '')
							{
								echo "<br/><span style='color:$index2_author_text_fontcolor;'>$publication2</span>";
							}
						}					
						
						echo "<br/><i>$hits2 hits</i><br/>";
					
						//indicators
						if ($searcher_show_icon_indicator == true)
						{
							if ($fulltext2 != null and $fulltext2 != '<html />')
							{
								if ($isabstract2 == 1)
									echo "<img src='./images/abstract_yes.png' width=24 alt='Click to view' onmouseover=\"Tip('HTML Abstract";
								else
									echo "<img src='./images/html_yes.png' width=24 alt='Click to view' onmouseover=\"Tip('HTML Full Text";
								echo "')\" onmouseout=\"UnTip()\">";	
							}

							if ($link2 <> NULL)
							{
								$link2 = urldecode($link2);
								if (substr($link2,0,4) != 'http')
								{$link2 = 'http://'.$link2;}
								echo " <img src='./images/url_yes.png' width=24 alt='Click to view' onmouseover=\"Tip('HTML Link Available')\" onmouseout=\"UnTip()\">";
							}	

							if ($pdfattach2 == 'TRUE')
							{
								if(is_file("$system_docs_directory/$dir_year2/$id2"."_"."$instimestamp2.pdf")) 
								{
									echo " <img src='./images/pdf_yes.png' width=24 alt='Click to view' onmouseover=\"Tip('";
										echo "PDF Available";
									echo "')\" onmouseout=\"UnTip()\">";	
								}
								else
									echo " <img width=24 src='./images/pdf_no.png' alt='Click to view' onmouseover=\"Tip('File missing. Attention needed.')\" onmouseout=\"UnTip()\">";
							}
						}
													
					if ($detect->isMobile())
						echo "<hr>";
						
					echo "</td>";					
					echo "</tr>";																
					$n = $n +1 ;
				}
				echo "</table>";	
				
			//--------------------------------------start paging 3
			include ('./includes/paging-p3.php');										
		
		?>		
	</div>
	
	<br/><hr>
	
	<?php
	if ($detect->isMobile())
		echo "";
	else
		{
			include ('./includes/footer.php');
		}
	?>
	
</body>

</html>